# Read one row for a dashboard form to prefill

> Source: https://elaichi.ai/docs/api-reference/dashboards/dashboard/getdashboardformrow/

`GET /dashboard/{id}/widget/{key}/row/{rowId}`

Resource: **Dashboard** · API: **Dashboards**

## Path parameters

- **`id`** _(string, required)_
  Resource id
- **`key`** _(string, required)_
  Widget key
- **`rowId`** _(string, required)_
  Row id

## Response body

- **`id`** _(string)_
- **`version`** _(integer)_
- **`label`** _(string)_
- **`values`** _(object)_

## Code examples

### curl

```bash
curl -X GET 'https://api.elaichi.ai/dashboard/<id>/widget/<key>/row/<rowId>' \
  -H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const response = await fetch('https://api.elaichi.ai/dashboard/<id>/widget/<key>/row/<rowId>', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import os
import requests

url = "https://api.elaichi.ai/dashboard/<id>/widget/<key>/row/<rowId>"
headers = {
    "Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
    "Content-Type": "application/json",
}

response = requests.get(url, headers=headers)
print(response.json())
```
